require 'vdrive'
require 'iox'

local tempPath = "temp/"
iox.CreateDirectory(tempPath)

local drive = vdrive.VirtualDrive()
if not drive:Open(arg[1]) then
	error("Unable to open " .. arg[1] .. ".")
end

for index = 1, drive:GetFileEntryCount() do
	local fileEntry = drive:GetFileEntry(index)
	if fileEntry.FileName:find('%.board') then
		print("* Extracting " .. tempPath .. fileEntry.FileName .. "...")
		local file = drive:FileOpen(fileEntry.FileName)
		local buffer = drive:FileRead(file, 0)
		local chunk = loadstring(buffer)
		if chunk then
			Board = nil
			chunk()
			Board.Sessions = nil
			if Board then
				LuaDumpObject(tempPath .. fileEntry.FileName, "Board", Board)
			end
		end
		drive:FileClose(file)
	end
end

